extends ../../common-templates/layout

block content
  .row
    .col-sm-9
      iframe(width="560" height="315" src="https://www.youtube.com/embed/dQw4w9WgXcQ" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen)
    .col-sm-3
      h1= video.title
      p= video.publishedDate
  hr

  form(action=`/videos/${video.videoId}/comments` method="POST")
    h3 Add a comment
    .form-group
      textarea.form-control(name="body" rows="3")
    .form-group
      button.float-right(type="submit") Post comment
    .clearfix

  hr

  h3 Comments

  if comments.length === 0
    p There are no comments
  else
    each comment in comments
      .card.bg-secondary.mb-3
        .card-header
          =comment.name
          | &nbsp;
          = `@ ${comment.commentTime}`
        .card-body
          p.card-text= comment.body
